Diff against target
Show differences between the current repository state and a target branch, tag, or commit.
Show differences between the current repository state and a target branch, tag, or commit.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Path to the git repository.
target*string
Branch, tag, or commit to compare against.
context_lines?integer
Number of context lines to include in the diff output. Defaults to 3.
Format
uint32Response Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/diff" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "target": "string" }'{ "output": "string", "exit_code": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
